Bug 808691 - [REF] xmlrpc need a method for mapping tag_id and tag_name
[REF] xmlrpc need a method for mapping tag_id and tag_name
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 04:52 EDT by Johnny Liu
Modified: 2016-05-26 09:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-31 04:52:17 EDT
Description of problem:
xmlrpc does not have a method to help user to map tag id to tag name, or map tag name to tag id.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 yawei Li 2012-04-10 22:54:52 EDT
will be resolved on 3.7.0 release.
Comment 2 Xin Gao 2012-04-24 07:50:38 EDT
Verify version 3.7.0-1 on stage -> PASS

Steps:
Configure Nitrate xml-rpc and make sure the xml-rpc work well.
Configure step pls refer to following link,
https://mirrorglass.englab.nay.redhat.com/XWiki/bin/view/Main/How%20to%20configure%20and%20use%20xml-rpc
Login with your kerberos account and password
enter into python dev env: $ python
import natrite: >>>from nitrate import NitrateKerbXmlrpc
Specify server: >>>n=NitrateKerbXmlrpc('XXX')
note: 'XXX' is TCMS env, such as: 'https://tcms.englab.nay.redhat.com/'

1 >>>values_id= {'ids': [121, 123, ]}
2 >>>n.server.Tag.get_tags(values)
3 >>>values_name= {'names': ['abc', 'cba', ]}
4 >>>n.server.Tag.get_tags(values)
Actual result:
after step 2, result is the tag names of tag id.
after step 4, result is the tag ids of tag names.

Note You need to log in before you can comment on or make changes to this bug.